plugin does not work with WP 4.